require 'openssl'
require 'open-uri'

class UrlKit
	def initialize(apiKey, apiSecret)
	  @apiKey = apiKey
	  @apiSecret = apiSecret
    end

	def screenshotUrl(options={})
	  parameters = options.map {|option| option.map {|value| URI.escape(value.to_s, Regexp.new("[^#{URI::PATTERN::UNRESERVED}]")) }.join('=') }.join('&')

	  token = OpenSSL::HMAC.hexdigest('sha1', @apiSecret, parameters)

	  "https://api.urlk.it/v1/screenshot/#{@apiKey}/#{token}?#{parameters}"
	end
end